Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.messaging
Interface IMessage

All Superinterfaces:
  IItem, IMessagingItem, java.io.Serializable

All Known Subinterfaces:
  IDeliveryReport, IDeliveryReport, IDominoAppointment, IExchangeMessage, IExchangeNonDeliveryReport, IExchangeReadReport, IMailMessage, IMapiTaskRequest, IMeetingCancellation, IMeetingNotice, IMeetingNoticeAccepted, IMeetingNoticeDeclined, IMeetingNoticeTentative, IMeetingRequest, IMemo, INonDeliveryReport, INonDeliveryReport, IReadReport, ITaskNotice, ITaskRequest

public interface IMessage
extends IMessagingItem

Classes that implement this interface are messages in the messaging schema.

Field Summary
`static ItemClass` | `CLASS` The message item class.
`static int` | `KEYID_RECIPIENTS` The `int` ID for the `RECIPIENTS` key.
`static Key` | `RECIPIENTS` Represents the recipients on a message.

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`void` | `addRecipient(java.lang.String sAddress)` Adds a recipient.
`IRecipient[]` | `getRecipients()` Gets the recipients for the message.
`void` | `removeRecipient(java.lang.String sAddress)` Removes a recipient from the message.
`void` | `send()` Sends the message to the recipients.
`void` | `setRecipients(java.lang.String[] addresses)` Sets the recipients to the specified recipients.

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_RECIPIENTS

    public static final int KEYID_RECIPIENTS

  The `int` ID for the `RECIPIENTS` key.

### RECIPIENTS

    public static final Key RECIPIENTS

  Represents the recipients on a message. Holds `IRecipient`.

### CLASS

    public static final ItemClass CLASS

  The message item class.

Method Detail

### addRecipient

    public void addRecipient(java.lang.String sAddress)
                      throws CollaborationException

  Adds a recipient.
  Parameters:
    `sAddress` - the recipient address, whose format is specific to the type of message that's being sent (not `null`)
  See Also:
    `RECIPIENTS`

### getRecipients

    public IRecipient[] getRecipients()
                               throws CollaborationException

  Gets the recipients for the message.
  Returns:
    the recipients (not `null`)
  See Also:
    `RECIPIENTS`

### removeRecipient

    public void removeRecipient(java.lang.String sAddress)
                         throws CollaborationException

  Removes a recipient from the message.
  Parameters:
    `sAddress` - the address (not `null`)
  See Also:
    `RECIPIENTS`

### setRecipients

    public void setRecipients(java.lang.String[] addresses)
                       throws CollaborationException

  Sets the recipients to the specified recipients.
  Parameters:
    `addresses` - the recipient addresses (not `null`)
  See Also:
    `RECIPIENTS`

### send

    public void send()
              throws CollaborationException

  Sends the message to the recipients.
  Throws:
    `CollaborationException` - if the provider encountered an error while sending the message

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.